Skip to main content
GET
/
builders
/
{builderId}
/
photo-folders
/
{folderId}
Get photo folder
curl --request GET \
  --url https://api.buildpass.global/builders/{builderId}/photo-folders/{folderId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "builderId": "<string>",
  "projectId": "<string>",
  "parentId": "<string>",
  "name": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}
Requires read:photos. Returns one gallery folder for the authenticated builder.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

builderId
string
required
folderId
string
required

Response

200 - application/json

Photo folder found

id
string
builderId
string
projectId
string | null
parentId
string | null
name
string
createdAt
string<date-time>
updatedAt
string<date-time>